Bug 1501936 - Qemu-2.10.0-4.fc27 reports: qemu-system-ppc64: Unable to set CPU compatibility mode in KVM: Invalid argument
Summary: Qemu-2.10.0-4.fc27 reports: qemu-system-ppc64: Unable to set CPU compatibilit...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 27
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2017-10-13 14:02 UTC by Menanteau Guy
Modified: 2017-12-18 23:11 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-18 23:11:08 UTC


Attachments (Terms of Use)
qemu patch (1.87 KB, patch)
2017-10-13 14:02 UTC, Menanteau Guy
no flags Details | Diff

Description Menanteau Guy 2017-10-13 14:02:02 UTC
On f27 release (Fedora-Server-dvd-ppc64le-27-20171011.n.0.iso) if I run a qemu VM in a qemu VM, I got the error message:
qemu-system-ppc64: Unable to set CPU compatibility mode in KVM: Invalid argument

qemu seems working but the CAS (negotiation with the host for different architecture points) have not been done correctly and that could affect qemu in some ways.

A patch have already been done upstream, https://git.qemu.org/?p=qemu.git;a=commit;h=cc7b35b169e96600c09947a31c610c84a3eda3ff

I ported this patch on the qemu-2.10.0-4.fc27 
https://koji.fedoraproject.org/koji/taskinfo?taskID=22403366

This solve the problem and the patched qemu works fine.
I tried it on ppc64 and ppc64le only.

Comment 1 Menanteau Guy 2017-10-13 14:02 UTC
Created attachment 1338238 [details]
qemu patch

Comment 2 Cole Robinson 2017-10-19 15:21:52 UTC
Thanks for pointing out the commit, I'll push it shortly

Comment 3 Fedora Update System 2017-10-19 21:38:45 UTC
qemu-2.10.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8db9c497f9

Comment 4 Fedora Update System 2017-10-21 19:26:56 UTC
qemu-2.10.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8db9c497f9

Comment 5 Fedora Update System 2017-11-11 02:57:43 UTC
qemu-2.10.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.